#if !defined(_STD_ERROR_H_)
#define _STD_ERROR_H_
/*	file	:	StdError.cpp
	author	:	Allan Kelly
	date	:	10 August 1999
*/

// System includes ---------------------
#include <iostream>

// Project includes --------------------
#include <Log.h>

// Local includes ----------------------
// <none>

namespace Log
{
	class StdError : public LogSink
	{
	public:
		explicit StdError() {};
		virtual ~StdError() {};

		virtual void Debug(const std::string& msg) const
		{
			std::cerr << msg << std::flush << std::endl;
		};

		virtual void Information(const std::string& msg) const
		{
			std::cerr << msg << std::flush << std::endl;
		};

		virtual void Warning(const std::string& msg) const
		{
			std::cerr << msg << std::flush << std::endl;
		};

		virtual void Error(const std::string& msg) const
		{
			std::cerr << msg << std::flush << std::endl;
		};
	};
}
#endif

